E invoicing

Get E-Invoicing Customer

Retrieve an e-invoicing customer by reference for the authenticated business.

GET
/api/v1/e-invoicing/customers/{reference}

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

reference*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/e-invoicing/customers/dp_cust_hrxp0rpkhlyc6r8"
{
  "requestId": "3a6538fd-03f0-4b05-ba41-5d44769dd014",
  "requestTimestamp": "2026-05-14 14:02:37",
  "message": "Customer retrieved successfully.",
  "statusCode": 200,
  "data": {
    "id": "019e26cb-e650-726d-bad6-95564a020b4a",
    "firstName": "John",
    "lastName": "Doe",
    "email": "john.doe@example.com",
    "phoneNumber": "+2348098765432",
    "reference": "dp_cust_hrxp0rpkhlyc6r8",
    "businessState": "test",
    "isBlacklisted": false,
    "hasWallet": false,
    "hasNrsCustomer": true,
    "wallet": {},
    "status": "ACTIVE",
    "source": "API",
    "createdAt": "2026-05-14 14:02:37"
  }
}
Empty
Empty
Empty

How is this guide?